# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # US Wire: Send high-value funds ## Overview US Wire PayOuts in J.P. Morgan Wallet™ allow you to initiate payments from your virtual accounts to external bank accounts through wire transfers. US Wire PayOuts are meant for high-value transactions and do not have an upper limit; for low-value transactions, use an alternative payment rail. US Wire PayOuts typically settle on the same business day that they are executed. For an overview of payment types in Wallet, see [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview). ### Use cases You can use the US Wire payment rail to transfer high-value funds in USD between US banks. For example: - Merchant services platform: Pay out a merchant's revenue to their US bank account. - Video game company: Pay out a player's in-game currency to their US bank account. - Marketplace platform: Pay out a seller's revenue to their US bank account. ### Key information The following table describes important information about US Wire. **Key information for US Wire** | Production endpoint | v3.x: https://apigateway.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch Use if you need to send funds from Japan or handle BGN currency. | v2.x: https://apigateway.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch Use if you don't require v3. | | --- | --- | --- | | Client testing endpoint | v3.x: https://apigatewaycat.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch | v2.x: https://apigatewaycat.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch | | API reference | v3.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc#/operations/generatePayoutBatchTransactions) | v2.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc-2#/operations/generatePayoutBatchTransactions) | | Supported branches | J.P. Morgan Chase Bank, New York branch, or any US affiliate branches (see [Reference - Supported branches and their Business Identifier Codes](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)) | | Supported currencies | USD | | Supported account types | All (Demand Deposit Account - DDA and Customer Money Account - CMA) | | Payment type | - [PayIn](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payin) - [PayInto](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto) - [PayInto Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-collection) - [PayInto Receipt](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-receipt) - PayOut - [PayOut Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/outgoing/payout-collection) | | Payment flows | - Domestic, same currency: USD to USD - Domestic, Foreign Exchange (FX): Not supported - Cross-border, same currency: US / USD to other Wallet-supported countries and currencies (see [Reference - Supported account currencies by branch](/docs/treasury/jp-morgan-wallet/reference#supported-account-currencies-by-branch)) - Cross-border, FX: Not supported | | Transaction limit | No default limit | | Cut-off time | 7:00pm ET on business days | | Settlement period | Same business day | | Returns, recalls, and reversals | Not supported through API - call your J.P. Morgan representative | | Service level code | Set serviceLevel.code to URGP | ### Prerequisites Before you can execute transactions using the US Wire payment rail, you must configure your Wallet program for US Wire. For more information, ask your J.P. Morgan representative. ### Reporting US Wire transactions appear on your daily **TRANSACTION ACTIVITY** reports. The following table is an example of what a US Wire transaction on a **TRANSACTION ACTIVITY** report might look like. **TRANSACTION ACTIVITY report example** | CLIENT ID | 0001318690 | | --- | --- | | PROGRAM ID | 1000000003 | | BUSINESS PROCESSING DATE | 3/10/2026 | | BANK NAME | JPM New York | | WALLET DDA NUMBER | XXXXXXXXXX | | WALLET CURRENCY | USD | | RECEIVED DATE | 9/9/2019 | | REQUESTED VALUE DATE | 3/9/2026 | | VALUE DATE | 3/10/2026 | | CLIENT TXN ID | SMOKE-bm8NP792Sr | | TXN TYPE | PAYOUT | | DEBTOR ACCOUNT | XXXXXXXXXX | | DEBTOR NAME | EWALLET ORIGINATOR | | DEBTOR VIRTUAL ACCOUNT ID | SANGITA-VA-04 | | ULTIMATE DEBTOR NAME | MAYBANK | | DEBTOR AGENT | JPMORGAN CHASE BANK N.A. | | DEBTOR AGENT ID | CHASUS33XXX | | DEBIT AMOUNT | 1.75 | | DEBIT CURRENCY | USD | | UETR INFORMATION | 7f558749-8ddc-46a1-9dad-7275b63c6f0e | | CREDITOR ACCOUNT | XXXXXXXXXX | | CREDITOR NAME | MAYBANK | | ULTIMATE CREDITOR NAME | ulCRName | | CREDITOR AGENT | MAYBANK | | CREDITOR AGENT ID | IDBYUS33 | | CREDIT AMOUNT | 1.75 | | CREDIT CURRENCY | USD | | STATUS | COMPLETED | | SETTLEMENT METHOD | WIRE | | PRN | XXXXXXXXXX | | REMITTANCE INFO | M E716712 C U254944MADEELLED TO TEST REMITTANCEINFORMATION MAXD CHARACTERS | | BATCH ID | SMOKE-8KZS1UGibPJWzqqqOGtITzBvSr | | MATCHED REFERENCE ID | 0150133068KC | | DDA NARRATIVE | M E716712 C U254944MADEELLED TO TEST REMITTANCEINFORMATION MAXD CHARACTERS | ## Important parameters The following sections list important parameters in the US Wire PayOut request along with their requirements. Not all parameters are listed here—for a complete list, see the API reference. ### Header parameters Include the following parameters in the header. **Header parameters for US Wire PayOut requests** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. | | transactionType | Required | The type of transaction. Set to PAYOUT if you are transferring funds to an external DDA. | ### Body parameters Note the following important body parameters for US Wire transactions. #### groupHeader The `groupHeader` object contains information about the batch of transactions. **US Wire PayOut: groupHeader** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Optional | Sum of the transaction amounts in the batch. | | creationDateTime | Required | Date and time when the batch was created. Must be in local time with the time zone offset to UTC in the following format: YYYY-MM-DDThh:mm:ss±hh:mm | | initiatingParty.name | Conditionally required | Name of the initiating party (you). Maximum 35 characters. At least one parameter in initiatingParty is required. | | messageIdentification | Required | Unique ID of the batch of transactions. Maximum 35 characters. | | numberOfTransactions | Required | Total number of transactions in the batch. Must be 1-500. | The following code snippet is an example of the `groupHeader` object. ```json { "groupHeader": { "messageIdentification": "E706971-f6ahhp", "creationDateTime": "2023-05-12T20:51:49.000+0000", "numberOfTransactions": 1, "controlSum": 0.05, "initiatingParty": { "name": "JPMC Client Name" } } } ``` #### paymentInformation The `paymentInformation` object contains parameters related to the payment. **US Wire PayOut: paymentInformation** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Optional | Sum of the transaction amounts in the batch. | | numberOfTransactions | Optional | Total number of transactions in the batch. Must be 1-500. | | paymentInformationIdentification | Required | Unique ID of the payment. Maximum 35 characters. | | paymentMethod | Required | Set to TRF. For more information, see [Payments - Payment methods](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#payment-methods). | | paymentTypeInformation.serviceLevel.code | Conditionally required | Set to URGP. For more information, see [Payments - Service level codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#service-level-codes). | | requestedExecutionDate | Required | Date when the transaction should be executed in YYYY-MM-DD format. Can be up to seven business days in the past (T-7) or 90 business days in the future (T+90). For more information on this field, see [Payments - Requested execution date](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#requested-execution-date). | The following code snippet is an example of the `paymentInformation` object. ```json { "paymentInformation": { "paymentInformationIdentification": "USWIREE706971-f6ahhp", "numberOfTransactions": 1, "controlSum": 0.05, "paymentMethod": "TRF", "requestedExecutionDate": "2023-05-12", "paymentTypeInformation": { "serviceLevel": { "code": "URGP" } } } } ``` #### paymentInformation.debtor The paymentInformation.`debtor` object contains information about the individual or business that represents the debtor. **US Wire PayOut: paymentInformation.debtor** | Parameter | Required / Optional | Description | | --- | --- | --- | | name | Conditionally required | Name of the debtor. Maximum 140 characters. At least one parameter in paymentInformation.debtor is required. | | postalAddress | Conditionally required | Postal address of the debtor. Must be in the US. At least one parameter in paymentInformation.debtor is required. | The following code snippet is an example of the paymentInformation.`debtor` object. ```json { "paymentInformation": { "debtor": { "name": "JPMC Client Name", "postalAddress": { "country": "US" } } } } ``` #### paymentInformation.debtorAccount The paymentInformation.`debtorAccount` object contains information about the bank account of the debtor. **US Wire PayOut: paymentInformation.debtorAccount** | Parameter | Required / Optional | Description | | --- | --- | --- | | currency | Optional | Currency of the funds in the debtor account. Must be USD. | | identification.other.identification | Conditionally required | ID corresponding to paymentInformation.debtorAccount.identification.other.schemeName. Maximum 35 characters. At least one parameter in paymentInformation.debtorAccount.identification is required. | The following code snippet is an example of the paymentInformation.`debtorAccount` object. ```json { "paymentInformation": { "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" } } } ``` #### paymentInformation.debtorAgent The paymentInformation.`debtorAgent` object contains information about the bank where the debtor account is located. **US Wire PayOut: paymentInformation.debtorAgent** | Parameter | Required / Optional | Description | | --- | --- | --- | | financialInstitutionIdentification.bic | Conditionally required | SWIFT BIC of the debtor bank. You can identify the debtor bank by its ABA number or its BIC. If you identify it by its BIC, and your Wallet DDA is the debtor account, set this to CHASUS33XXX (the J.P. Morgan Chase Bank, New York branch). For an affiliate US branch, replace XXX with the corresponding code for the branch. | | financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Conditionally required | You can identify the debtor agent bank by its ABA number or its BIC. If you identify it by its ABA number, set this to USABA. | | financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Conditionally required | You can identify the debtor agent bank by its ABA number or its BIC. If you identify it by its ABA number, and your Wallet DDA is the debtor account, set this to 021000021 (the J.P. Morgan Chase Bank, New York branch). | | financialInstitutionIdentification.postalAddress | Optional | Postal address of the debtor bank. Must be in the US. | The following code snippet is an example of the paymentInformation.`debtorAgent` object. ```json { "paymentInformation": { "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "postalAddress": { "country": "US" } } } } } ``` #### paymentInformation.creditTransferTransactionInformation The paymentInformation.`creditTransferTransactionInformation` object contains information about the transaction such as the creditor, the ultimate debtor, and the ultimate creditor. **US Wire PayOut: paymentInformation.creditTransferTransactionInformation** | Parameter | Required / Optional | Description | | --- | --- | --- | | amount.instructedAmount.amount | Conditionally required | Amount of funds to be transferred from the debtor to the creditor, in the currency of the debtor account. Maximum 18 digits with six decimal places. Required if paymentInformation.creditTransferTransactionInformation.amount.instructedAmount is present. | | amount.instructedAmount.currency | Conditionally required | Currency of the funds in the debtor account. Must be USD. Required if paymentInformation.creditTransferTransactionInformation.amount.instructedAmount is present. | | creditor.name | Optional | Name of the creditor. Maximum 140 characters. | | creditor.postalAddress | Optional | Postal address of the creditor. Must be in the US. | | creditorAccount.currency | Optional | Currency of the funds in the creditor account. Must be USD. | | creditorAccount.identification.other.identification | Conditionally required | Account number of the creditor account. Maximum 35 characters. Either this or paymentInformation.creditTransferTransactionInformation.creditorAccount.identification.IBAN is required. | | creditorAccount.name | Optional | Name of the creditor account. Maximum 140 characters. | | creditorAgent.financialInstitutionIdentification.bic | Conditionally required | SWIFT BIC of the creditor bank. If your Wallet DDA is the creditor account, this must be CHASUS33XXX (J.P. Morgan Chase Bank, New York branch) or any of the affiliate US branches (replace XXX with the corresponding code for the branch). Maximum 11 characters. Either the BIC or ABA number is required. For more information, see [Reference - Debtor/creditor agent requirements for US payment rails](/docs/treasury/jp-morgan-wallet/reference#debtorcreditor-agent-requirements-for-us-payment-rails). | | creditorAgent.financialInstitutionIdentification.name | Optional | Name of the creditor bank. Maximum 140 characters. | | creditorAgent.financialInstitutionIdentification.postalAddress | Optional | Postal address of the creditor bank. Must be in the US. | | paymentIdentification.endToEndIdentification | Required | Unique ID for tracing requests and responses for this transaction. Maximum 16 characters. | | paymentIdentification.instructionIdentification | Optional | Unique ID of the instruction. Maximum 35 characters. | | remittanceInformation.unstructured | Optional | Array of strings of remittance information. Each string must be a maximum of 140 characters. | | ultimateDebtor.identification.organisationIdentification.other.identification | Conditionally required | ID of the VTA to debit. Required if you include the ultimateDebtor parameter. | | ultimateDebtor.identification.organisationIdentification.other.schemeName.proprietary | Conditionally required | Required if you include the ultimateDebtor parameter. Set to virtualAccountIdentification. | The following code snippet is an example of the paymentInformation.`creditTransferTransactionInformation` object. ```json { "paymentInformation": { "creditTransferTransactionInformation": [ { "paymentIdentification": { "instructionIdentification": "E706971-f6ahhp", "endToEndIdentification": "E706971-f6ahhp" }, "amount": { "instructedAmount": { "amount": 0.05, "currency": "USD" } }, "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "VTA-221013152551-1", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "JPMC Client Name", "postalAddress": { "buildingNumber": "123 main Street", "postCode": "10314", "streetName": "SUITE 141", "townName": "NY", "country": "US" } } }, "creditor": { "name": "JPMC Client Name", "postalAddress": { "country": "US", "addressLine": [ "Creditor address", "Creditor town, state" ] } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD", "name": "creditorAccount" }, "remittanceInformation": { "unstructured": [ "Remittance" ] } } ] } } ``` ## Examples ### Request with minimum required data (non-TP3) The following example shows the minimum data required to execute a PayOut transaction using the US Wire payment rail. ```json { "groupHeader": { "messageIdentification": "E706971-f6ahhp", "creationDateTime": "2023-05-12T20:51:49.000+0000", "numberOfTransactions": 1, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "USWIREE706971-f6ahhp", "paymentMethod": "TRF", "requestedExecutionDate": "2023-05-12", "paymentTypeInformation": { "serviceLevel": { "code": "URGP" } }, "debtor": { "name": "JPMC Client Name", "postalAddress": { "country": "US" } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } } }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "E706971-f6ahhp" }, "amount": { "instructedAmount": { "amount": 0.05, "currency": "USD" } }, "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "VTA-221013152551-1", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX" } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } } } } ] } } ``` ### Request with optional data The following example sends a wire payment in USD from a Wallet VTA in the US to an external DDA in the US including optional parameters. ```json { "groupHeader": { "messageIdentification": "E706971-f6ahhp", "creationDateTime": "2023-05-12T20:51:49.000+0000", "numberOfTransactions": 1, "controlSum": 0.05, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "USWIREE706971-f6ahhp", "numberOfTransactions": 1, "controlSum": 0.05, "paymentMethod": "TRF", "requestedExecutionDate": "2023-05-12", "paymentTypeInformation": { "serviceLevel": { "code": "URGP" } }, "debtor": { "name": "JPMC Client Name", "postalAddress": { "country": "US" } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "postalAddress": { "country": "US" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "instructionIdentification": "E706971-f6ahhp", "endToEndIdentification": "E706971-f6ahhp" }, "amount": { "instructedAmount": { "amount": 0.05, "currency": "USD" } }, "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "VTA-221013152551-1", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "JPMC Client Name", "postalAddress": { "buildingNumber": "123 main Street", "postCode": "10314", "streetName": "SUITE 141", "townName": "NY", "country": "US" } } }, "creditor": { "name": "JPMC Client Name", "postalAddress": { "country": "US", "addressLine": [ "Creditor address", "Creditor town, state" ] } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD", "name": "creditorAccount" }, "remittanceInformation": { "unstructured": [ "Remittance" ] } } ] } } ``` ### Response The following is the synchronous response to the previous example request. ```json { "groupHeader": { "messageIdentification": "d74a48ec-37ca-4172-a8a1-3b449609162e", "creationDateTime": "2023-05-12T20:51:52.000+0000", "initiatingParty": { "name": "JPMC Client Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "E706971-f6ahhp", "originalMessageNameIdentification": "API-PAYOUT", "originalCreationDateTime": "2023-05-12T20:51:49.000+0000", "originalNumberOfTransactions": 1, "originalControlSum": 0.05, "groupStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.05 } ] }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "USWIREE706971-f6ahhp", "paymentInformationStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.05 } ], "transactionInformationAndStatus": [ { "originalInstructionIdentification": "E706971-f6ahhp", "originalEndToEndIdentification": "E706971-f6ahhp", "transactionStatus": "ACTC", "statusReasonInformation": [], "acceptanceDateTime": "2023-05-12T20:51:52.699+0000", "accountServicerReference": "5e9ede84-869b-4c30-87b5-641d0eb3634d", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.05, "currency": "USD" } }, "requestedExecutionDate": "2023-05-12", "paymentMethod": "TRF", "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "VTA-221013152551-1", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "postalAddress": { "country": "US" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "JPMC Client Name", "postalAddress": { "streetName": "SUITE 141", "buildingNumber": "123 main Street", "postCode": "10314", "townName": "NY", "country": "US" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD", "name": "creditorAccount" } } } ] } } ``` ### Notification The following is an example of an asynchronous notification that Wallet sends after executing a US Wire transaction. ```json { "groupHeader": { "messageIdentification": "097f6f05-ba01-4cd1-900e-32c7862e05af", "creationDateTime": "2026-03-26T20:27:36.443+0000", "initiatingParty": { "name": "XXXXX" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "2026032620265708", "originalMessageNameIdentification": "API-PAYOUT", "originalNumberOfTransactions": 1 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "PAYOUT2026032620265708", "transactionInformationAndStatus": [ { "originalInstructionIdentification": "2026032620265708", "originalEndToEndIdentification": "2026032620265708", "transactionStatus": "ACSC", "statusReasonInformation": [ { "additionalInformation": [ "/eventType/PaymentComplete", "/POSTED-BALANCE:ultimateDebtor:ACCOUNT-TYPE/TRANSACTION", "/POSTED-BALANCE:ultimateDebtor:VERSION/10", "/POSTED-BALANCE:ultimateDebtor:ITBD/2.93", "/POSTED-BALANCE:ultimateDebtor:ITAV/2.87", "/POSTED-BALANCE:ultimateDebtor:XPCD/2.93", "/POSTED-BALANCE:ultimateDebtor:EFFECTIVE-DATE/2026-03-26", "/POSTED-BALANCE:ultimateDebtor:TIMESTAMP/2026-03-26T20:27:36.068+00:00" ] } ], "acceptanceDateTime": "2026-03-26T20:26:58.315+0000", "accountServicerReference": "0000142085KC", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.01, "currency": "USD" } }, "requestedExecutionDate": "2026-03-26", "paymentMethod": "TRF", "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "PVT-VTAXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "06813XXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "postalAddress": { "country": "US" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "name": "ewallet", "postalAddress": { "country": "US" } } }, "creditorAccount": { "identification": { "other": { "identification": "01821XXXXX" } }, "currency": "USD" }, "receiver": { "name": "ewallet", "postalAddress": { "country": "US" } } } } ] } } ``` ## FX PayOuts A US Wire Foreign Exchange (FX) PayOut enables you to transfer USD from a DDA in the US to a recipient in another country, converting the funds to a currency supported in their country. For Wire FX transactions, you must set serviceLevel.`proprietary` to `URGPFX`. For more information about Wire FX PayOuts, see [Wire FX: Send high-value funds in a different currency](/docs/treasury/jp-morgan-wallet/capabilities/payments/outgoing/wire-fx). The following example request initiates a US Wire FX transaction, converting funds from USD to AUD. ```json { "groupHeader": { "messageIdentification": "X20240614010327", "creationDateTime": "2024-06-14T13:03:27-04:00", "numberOfTransactions": 1, "controlSum": 0.05, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "X20240614010327", "numberOfTransactions": 1, "controlSum": 0.05, "paymentMethod": "TRF", "paymentTypeInformation": { "instructionPriority": "HIGH", "serviceLevel": { "proprietary": "URGPFX" } }, "requestedExecutionDate": "2024-06-14", "debtor": { "name": "JPMC bank", "postalAddress": { "streetName": "Street Name", "buildingNumber": "123", "postCode": "12345", "townName": "Town", "country": "US", "addressLine": [ "Address line 1", "Address line 2", "Address line 3" ] } }, "debtorAccount": { "name": "JPMC Client Name", "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "postalAddress": { "streetName": "Street Name", "buildingNumber": "123", "postCode": "12345", "townName": "Town", "country": "US", "addressLine": [ "Address line 1", "Address line 2", "Address line 3" ] } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "instructionIdentification": "X20240614010327", "endToEndIdentification": "X20240614010327" }, "amount": { "equivalentAmount": { "amount": 0.05, "currency": "USD", "currencyOfTransfer": "AUD" } }, "exchangeRateInformation": { "contractIdentification": "RF946D8E7FD7F430927C5DA02BFA26" }, "ultimateDebtor": { "name": "JPMC bank", "identification": { "organisationIdentification": { "other": [ { "identification": "VAID00002", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASAU2XXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "proprietary": "AUD ROUTING" }, "memberIdentification": "212-200" }, "name": "Europe Agent", "postalAddress": { "addressType": "ADDR", "streetName": "BriarwoodCt", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "country": "AU", "addressLine": [ "4901 Memorial Pkwy" ] } } }, "creditor": { "name": "JPMC bank", "postalAddress": { "addressType": "ADDR", "streetName": "BriarwoodCt", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "country": "AU", "addressLine": [ "4901 Memorial Pkwy" ] } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "AUD" }, "purpose": { "code": "SALA" }, "remittanceInformation": { "unstructured": [ "TRANSFER CREDIT B/O: PUBLIC BANK BERHAD" ] } } ] } } ``` ## TP3 PayOuts This section explains the requirements for Third Party Payment Processor (TP3) transactions using the US Wire payment rail. For more information about TP3 transactions, see [Pay on behalf of a third party](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#tp3-pay-on-behalf-of-a-third-party). ### Flows Wallet supports the following flows for TP3 US Wire transactions: - NY / USD to USD ### Requirements In addition to the requirements described in [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview), the following fields in the paymentInformation.`creditTransferTransactionInformation` object have specific requirements for TP3 US Wire transactions.
**Note:** If you provide ultimateDebtor.`postalAddress`, the `debtor` parameter is optional.There are two options for submitting a TP3 US Wire request. #### Option A: Structured The following table describes the fields to use for a structured request, where each piece of the address is assigned to a specific parameter. **paymentInformation.creditTransferTransactionInformation object requirements for TP3 US Wire structured** | Field | Required / Optional | Requirements | | --- | --- | --- | | ultimateDebtor.name | Required | Maximum 35 characters. | | ultimateDebtor.postalAddress.buildingNumber | N/A | Do not use. | | ultimateDebtor.postalAddress.country | Required | Two-character ISO 3166 country code. | | ultimateDebtor.postalAddress.countrySubDivision | Required | Maximum 23 characters. | | ultimateDebtor.postalAddress.department | N/A | Do not use. | | ultimateDebtor.postalAddress.postCode | Required | Maximum 10 characters. | | ultimateDebtor.postalAddress.streetName | Required | Maximum 35 characters. | | ultimateDebtor.postalAddress.subDepartment | N/A | Do not use. | | ultimateDebtor.postalAddress.townName | Required | Maximum 35 characters. | #### Option B: Unstructured The following table describes the fields to use for an unstructured request, where the entire address is provided in one parameter. **paymentInformation.creditTransferTransactionInformation object requirements for TP3 US Wire unstructured** | Field | Required / Optional | Requirements | | --- | --- | --- | | ultimateDebtor.name | Required | Maximum 35 characters. | | ultimateDebtor.postalAddress.addressLine | Required | Three lines of 35 characters each (105 characters total) of free-form text. | ### Example The following is an example of the `ultimateDebtor` object in a TP3 US Wire request. ```json "ultimateDebtor": { "name": "Some Name Some Name Some xx35 chars", ... ```